bug fix
[automated-distro-installer] / arch-init-remote
index 6e460a5f0b15cc26f383b3c36bca8ebadd4d0ef3..66e19e2d1b6e153c261f89999980fb1be87adc81 100755 (executable)
@@ -1,5 +1,6 @@
-#!/bin/bash -l
-# Copyright (C) 2016 Ian Kelling
+#!/bin/bash
+# This file is part of Ian Kelling's automated-distro-installer
+# Copyright (C) 2024 Ian Kelling
 
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License
 # along with this program; if not, write to the Free Software
 # Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 
-usage() {
-    cat <<EOF
-Usage: ${0##*/} HOSTNAME
-EOF
-    exit $1
-}
+if [[ -s ~/.bashrc ]];then . ~/.bashrc;fi
 
 set -x
 
 set -eE -o pipefail
 trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
+usage() {
+    cat <<EOF
+Usage: ${0##*/} [-h|--help] HOSTNAME
+install arch after it's been booted into it's setup env
+EOF
+    exit $1
+}
+case $1 in
+    -h|--help) usage ;;
+esac
+
 if [[ ! $1 ]]; then
     echo "error: expect a hostname in \$1 "
     usage 1
@@ -44,7 +51,7 @@ fi
 
 rsync -rlpthvi --relative /a/bin/fai/ root@$host:/
 rsync /a/bin/fai/ root@$host:/a/bin/fai/
-sudo scp -r /a/bin/fai/devbyid /q/root/luks /q/root/shadow root@$host:
+sudo scp -r /q/root/luks /q/root/shadow root@$host:
 # creating shadow file string:
 # on debian, you can use mkpasswd -m sha-512 to generate a pass.
 # arch doesn't have this program. instead, you can do passwd,